Retrieve Email ID list of Party by Account ID
get
/DmAccountParty-service/accountParties/getPartyContactDetails/{accountId}
This endpoint is used to retrieve the email ID list of party by Account ID.
Request
Supported Media Types
- application/json
- application/xml
Path Parameters
-
accountId(required): string
Account ID for which account party relationship is to be fetched.
Header Parameters
-
appId(required): string
The application ID of host service.
-
branchCode(required): string
The branch code of requesting branch.
-
contentType: string
The content type of request or response body.
-
userId(required): string
The user ID of requesting user.
Response
Supported Media Types
- application/json
- application/xml
200 Response
Returns list of party email details.
Root Schema : DmPartyContactInfoCollection
Type:
objectCollection of DmAccountPartySummaryDTO.
Show Source
Nested Schema : customerInfo
Type:
Show Source
array-
Array of:
object CustomerInfo
Collection of customer info.
Nested Schema : CustomerInfo
Type:
objectCollection of customer info.
Show Source
-
acctRelTypeCd:
string
account party relation
-
customerId:
string
customerId
-
emailId:
string
installmentDt of the future repayment
-
isPreferredFlg:
string
preferredFlag
201 Response
Returns message of success or failure.
Headers
-
Location: string
Returns list of party email details.
Nested Schema : ResponseResourceSupport
Type:
objectNested Schema : items
Type:
object400 Response
Malformed syntax.
401 Response
Request does not have sufficient credentials.
403 Response
Request is not authorized.
500 Response
Internal error.